﻿class Trike extends MovieClip
{
	var speed;
	var spawnpoint;
	var choice;
	var timer;
	var phase;
	var life;
	var movetype;
	
	function onLoad()
	{
		life = 5;
		timer = 0;
		phase = 0;
		movetype = 0;
		speed = 3;
		spawnpoint = Math.round(Math.random()*2);
		if(spawnpoint == 1)
		{
			_x = 100;
			_y = -20;
		}
		else if(spawnpoint == 2)
		{
			_x = 350;
			_y = -20;
		}
		else
		{
			_x = 250;
			_y = -20;
		}
	}
	
	function onEnterFrame()
	{
		if(life <= 0)
		{
			TExplode();
		}
		
		timer += 1;
		
		switch(phase)
		{
			case 0:
				//spawnning
				_y += speed;
				if(timer > 30)
				{
					phase = 1;
					timer = 0;
				}
				break;
			case 1:
				//random number shoot or stand still
				choice = Math.round(Math.random()*2);
				if(choice == 1)
				{
					phase = 2;
					timer = 0;
				}
				else
				{
					phase = 3;
					timer = 0;
				}
				break;
			case 2:
				//shoot
				if(timer > 30 && timer < 32)
				{
					//shoot 1
					var laser = _root.attachMovie( "Laser" , "Laser" + _root.getNextHighestDepth(), _root.getNextHighestDepth() );
					laser._x = _x;
					laser._y = _y + 10;
				}
				if(timer > 60 && timer < 62)
				{
					//shoot 2
					var laser = _root.attachMovie( "Laser" , "Laser" + _root.getNextHighestDepth(), _root.getNextHighestDepth() );
					laser._rotation = -125;
					laser._x = _x;
					laser._y = _y + 10;
				}
				if(timer > 90 && timer < 92)
				{
					//shoot 3
					var laser = _root.attachMovie( "Laser" , "Laser" + _root.getNextHighestDepth(), _root.getNextHighestDepth() );
					laser._rotation = 125;
					laser._x = _x;
					laser._y = _y + 10;
				}
				if(timer > 120)
				{
					phase = 1;
					timer = 0;
				}
				break;
			case 3:
				//wait
				if(_x > 50 && movetype == 0)
				{
					_x -= speed;
				}
				else
				{
					movetype = 1;
				}
				
				if(_x < 500 && movetype == 1)
				{
					_x += speed;
				}
				else
				{
					movetype = 0;
				}
				
				if(timer > 30)
				{
					phase = 2;
					timer = 0;
				}
				break;
		}
	}
	function TExplode()
	{
		var explosion = _root.attachMovie( "Explosion", "Explosion" + _root.getNextHighestDepth(),_root.getNextHighestDepth());
		
		explosion._x = _x;
		explosion._y = _y;
		
		_root.DinoShip.updateScore(100);
		_root.DinoShip.trikecount -= 1;
		this.removeMovieClip();
	}

}